Subject: stderr not constant?
From: [email-masked] ("J. P. Shipherd")

2 Jan 1997 17:57:35 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.94)
Content-Type: text/plain; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

I have the following line in one of my files:

static FILE *out_fp = stderr;   
                 /* (FILE *) to which output messages should be directed */

But when I compile with gnu-win32 I get the following error:

gcc -Wall -DNUANCE_WIN32  -I-  -I. -I/nuance/working/include   -c -g -O2 -DINLINE=inline -Winline -o ../obj/win32/error.o error.c

error.c:126: initializer element is not constant
make: *** [../obj/win32/error.o] Error 1

Is stderr not a constant in win32 or is this caused by the cygwin
headers?

Thanks,
--jp
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".